com.independentsoft.exchange

## Enum Position

- java.lang.Object
- - java.lang.Enum<Position>
  - - com.independentsoft.exchange.Position

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Position>

      public enum Position
      extends java.lang.Enum<Position>

  Identifies the position of an entity extracted from a message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LATEST_REPLY` The extracted entity originates from the latest reply to the message.
    `OTHER` The extracted entity originates from an undefined part of the message.
    `SIGNATURE` The extracted entity originates from the message signature.
    `SUBJECT` The extracted entity originates from the message subject.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Position` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Position[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LATEST_REPLY

          public static final Position LATEST_REPLY

      The extracted entity originates from the latest reply to the message.

    - #### SUBJECT

          public static final Position SUBJECT

      The extracted entity originates from the message subject.

    - #### SIGNATURE

          public static final Position SIGNATURE

      The extracted entity originates from the message signature.

    - #### OTHER

          public static final Position OTHER

      The extracted entity originates from an undefined part of the message.

  - ### Method Detail

    - #### values

          public static Position[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Position c : Position.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Position valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null